Skip to main content

Notice

If you are using a Hotmail or Outlook email address, please change it now, as Microsoft is rejecting all email from our service outright.
Topic: foo_vst: VST 2.4 adapter (Read 422294 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Re: foo_vst: VST 2.4 adapter

Reply #425
This plug-in is amazing. Works perfectly on my Foobar 1.4 installation, running Windows 7 x64 bit.

I have a lot of VST plug-ins that I've collected for use in Reaper DAW, and I really wanted a parametric EQ for Foobar. Well now I can use FabFilter Pro-Q 2 VST in Foobar and I'm super happy :) :) :)

I also tested it with a handful of other VSTs, including digital guitar amp simulators, with horrible (but hilarious) results. Next I will try some of my impulse response loaders :)

Re: foo_vst: VST 2.4 adapter

Reply #426
It seems that after you install this plugin in foobar v 1.4 , when you click on "view" , you have 2 DSPs in menu, and in second menu after you click to open default equalizer foobar crashes. Can This be fixed?

Re: foo_vst: VST 2.4 adapter

Reply #427
mire777:  I tried this plugin and had similar crashing problems (not uncommon by reading through the thread), finally just got rid of it.  Have you tried using foo_dsp_vstwrap (http://www.yohng.com/software/foobarvst.html) instead?  Not sure on its compatibility with other VST's but I use it successfully with the author's own limiter VST, drawback from foo_vst is only one VST can be loaded at a time (unless you're loading a VST host plugin with it, not tried).

Re: foo_vst: VST 2.4 adapter

Reply #428
mire777:  I tried this plugin and had similar crashing problems (not uncommon by reading through the thread), finally just got rid of it.  Have you tried using foo_dsp_vstwrap (http://www.yohng.com/software/foobarvst.html) instead?  Not sure on its compatibility with other VST's but I use it successfully with the author's own limiter VST, drawback from foo_vst is only one VST can be loaded at a time (unless you're loading a VST host plugin with it, not tried).
Yes i tried this plugin, works nice, but when foobar starts, vst menu always popup, i think this is annoying. Is there a way to stop this? Also theres no support for portable mode, if i want to share my config with others, i will lose my vst presets.

Re: foo_vst: VST 2.4 adapter

Reply #429
Hi mire777:  when I start Foobar I don't get a pop-up, the VST's menu icon just appears minimized to the tray;  that is with the settings and plugin choice already made.  Only on first use did it appear as a pop-up in order for me to indicate the VST folder, etc.

The settings file for whatever reason ends up in C:\ProgramData\GeorgeYohngVST.ini so yes it's not Foobar portable-friendly but I just be sure that I make a backup copy of the .ini if I do any experimenting.

Re: foo_vst: VST 2.4 adapter

Reply #430
Hi mire777:  when I start Foobar I don't get a pop-up, the VST's menu icon just appears minimized to the tray;  that is with the settings and plugin choice already made.  Only on first use did it appear as a pop-up in order for me to indicate the VST folder, etc.

The settings file for whatever reason ends up in C:\ProgramData\GeorgeYohngVST.ini so yes it's not Foobar portable-friendly but I just be sure that I make a backup copy of the .ini if I do any experimenting.

Dont know, but every time i started foobar2000 v 1.4 (portable mod), VST menu pop-up. I added Boot EQ MkII VST plugin and set VST folder. I will try again.

Re: foo_vst: VST 2.4 adapter

Reply #431
I'm running the 1.4 Portable also.  If you still get the popup after your new test, see if changing any of the options in Display/DefaultUserInterface/Background and Notifications makes any difference (a long shot but who knows).

Of course, if you keep the Show/Hide Plugin Editor option on the right-click interface checked, it will keep showing the selected VST's own GUI when Foobar starts, but I'm assuming that's not what you mean.

Re: foo_vst: VST 2.4 adapter

Reply #432
I hadn't found this subforum, but it seems I should have posted here instead of in the general 3rd party plugins. My question may have nothing to do with foo_vst and more with how things are displayed. Regardless, when I launch a VST plugin they always launch at the upper left corner, covering the playback functions of the Foobar interface. Can the launch location in the interface be changed?

Link to original post: https://hydrogenaud.io/index.php/topic,116622.0.html

Re: foo_vst: VST 2.4 adapter

Reply #433
Hi, I am using foobar2000 v1.4.6 with vst 0.9.0.3 plugin on Windows 10 x64 system. I am continually getting crash error messages and these messages say that these crashes are about vst plugin. How can I solve this problem? Thanks.

Re: foo_vst: VST 2.4 adapter

Reply #434
Am I the only one that can't download it ?

Re: foo_vst: VST 2.4 adapter

Reply #435
I find this component is much more stable if you always insert a resampler before any VST and resample to 44100Hz. Yes, only 44100Hz.

Also, when I run VSTs on a 96000Hz signal, there is constant stuttering such that it is unusable. I think these issues might be related. Most crashes for me happen when changing DSP profiles while playing a track, or when changing between tracks with different sample rates. It's like when the VST is initialized, there is some race condition that can possibly cause a crash, and at 44100Hz there is always enough time between chunks for whatever it is to happen, but at higher sample rates there isn't sometimes. Just a guess. I might try to work out the issue.

Re: foo_vst: VST 2.4 adapter

Reply #436
Hello @sammoth , I am using VST 2.4 wrapper since long and all time at 96kHz sampling rate.
My PC is an old (2006) Dell D830, 32 bit CPU, 4 GB RAM only, however, I never experienced your problem.
I used this VST wrapper also with DR Meter, Voxego, Thuneau and others brand. I confirm, it has some problem of stability, but not any rate specific limitation I could experience.
I think it is more related to your VST plug-in.
Regards, Andrea

Re: foo_vst: VST 2.4 adapter

Reply #437
Oh interesting. I do only use VSTs by one developer, so maybe it is a quirk of them that is interacting with the adapter.

Re: foo_vst: VST 2.4 adapter

Reply #438
I can reliably crash foobar with this plugin if I add more than 1 VST plugin and/or mathaudio plugins.

There seems to be a limit of foobar plugins instances allowed to work at the same time, to the point if I had X foobar components installed  then when reaching that X limit no VST plugin would load. Leading to a crash with a "vst dll can not be loaded".

As soon as I deleted 1 plugin (x-1) then I could load 1 VST plugin at the same time on the DSP.
If I put another one (thus having x-1+2=x+1 plugins at the same time), then it crashes.

I also checked that I had to de-install the same number of foobar components than VST plugins I wanted as active on the DSP. Confirming foobar has a hard limit of plugins active at the same time... bug either introduced with this plugin or in the main program.

Note the mathaudio plugins (both) had the same problems described here. I could not get them work properly if I had a number of components installed over that limit (*)... so I suspect it's a general problem.

I sent multiple crash reports a few days ago related to mathaudio EQ plugin and Izotope plugins too.

*Currently at 88 + 2 VST plugins + 1 mathaudio headphoe EQ and the 3 can be loaded at the same time on the DSP manager.

Re: foo_vst: VST 2.4 adapter

Reply #439
The plugin is no longer being developed and as you have experienced is a known crasher.  You could try using it with a single effects chainer and then load additional VSTs into that.  This one is free and still available:
http://www.acondigital.com/software/EffectChainer102us.exe

documentation: http://www.acondigital.com/docs/EffectChainer10us.pdf

Or, you could try the Yohng VST wrapper (foo_dsp_vstwrap), not an icon of stability either and in that case you would have to use a chainer as it will only load only one VST at a time.

Re: foo_vst: VST 2.4 adapter

Reply #440
Thanks, I will take a look at both options.

But also note both math-audio plugins were affected the same way, so that points to a more general bug when many components are present.

Re: foo_vst: VST 2.4 adapter

Reply #441
There seems to be a limit of foobar plugins instances allowed to work at the same time
There is limit in windows, how many FLS slots can be used by program. Goggle "FLS slot limit".

Re: foo_vst: VST 2.4 adapter

Reply #442
This limit doesn't exist anymore since I think two big windows updates back.

Edit: Spring 2019 update

Re: foo_vst: VST 2.4 adapter

Reply #443
There seems to be a limit of foobar plugins instances allowed to work at the same time
There is limit in windows, how many FLS slots can be used by program. Goggle "FLS slot limit".

I think that may be the problem. Although I don't get why foobar is hitting the limit with ~80 components + 2 or 3 VST plugins. Unless it also considers any secondary DLL (some components have up to 3 or 4 dll's).

Btw, not everybody is using win 10 here... so that explains it to me (win 7). Thank you both!

Re: foo_vst: VST 2.4 adapter

Reply #444
Yes, secondary dlls count too. Also some dlls can take 2 FLS slots.

 
SimplePortal 1.0.0 RC1 © 2008-2021